> ## Documentation Index
> Fetch the complete documentation index at: https://docs.writerzroom.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate a template-enabled analysis request against complete authorized originals before generation.



## OpenAPI

````yaml /api-reference/openapi.json post /api/sources/analysis/validate
openapi: 3.1.0
info:
  title: WriterzRoom API
  version: '2.0'
  description: >-
    Generated from the API server by scripts/generate_api_reference.py. Only the
    endpoints listed on the Endpoints Reference page are included.
servers:
  - url: https://api.writerzroom.com
security:
  - bearerAuth: []
tags:
  - name: Generation
  - name: Content
  - name: Catalog
  - name: Approvals
  - name: Validity
  - name: Replay
  - name: Artifacts
  - name: Corpus
  - name: Account
paths:
  /api/sources/analysis/validate:
    post:
      tags:
        - Other
      summary: >-
        Validate a template-enabled analysis request against complete authorized
        originals before generation.
      operationId: validate_analysis_api_sources_analysis_validate_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AnalysisPreview'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearerAuth: []
components:
  schemas:
    AnalysisPreview:
      properties:
        template_id:
          type: string
          maxLength: 100
          minLength: 1
          title: Template Id
        analysis_request:
          additionalProperties: true
          type: object
          title: Analysis Request
      additionalProperties: false
      type: object
      required:
        - template_id
        - analysis_request
      title: AnalysisPreview
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: A WriterzRoom API key.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.